package com.fuzamei.mapperInterface;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.fuzamei.entity.Params;
import com.fuzamei.entity.UserDetail;

public interface UserAuthoricationMapper {

	UserDetail queryUserDetail(Integer userId);//查询最详细的用户信息

	UserDetail queryUserAuthority(Integer userId);//查询简单用户信息

	List<UserDetail> showAllCarriersUnderSupplier();//查询所有承运商信息

	int verificationToken(@Param("userId")int userId, @Param("token") String token);//根据用户id和token值查看用户是否存在

}
